Subject: Re: [PATCH 00/10] sysfs tagged directories

From: [email-masked] (Eric W. Biederman)
Date: Tue, 29 Apr 2008 13:10:06 -0700

"Serge E. Hallyn" <[email-masked]> writes:

> Ah I see it, thanks.

Serge thanks for your productive and detailed reply to this.

> The last question of Al's which went unanswered was
>
>> Excuse me, _what_?  Are you seriously suggesting going through all dentry
>> trees, doing d_move() in each?  I want to see your locking.  It's promising
>> to be worse than devfs had ever been.  Much worse.
>
> I think this is answered in patch 4.  So yeah, it does d_move() in each
> sysfs mount.  It's all done under the sysfs_rename_mutex.  Judging by
> the phrasing of the question, is that not acceptable?

We also have to call sysfs_grab_supers to ensure none of the superblocks
we know about will go away during the rename.  I believe that is the
only locking change from the current code.

Eric